- Document Override Remarks
Use document override to send remarks such as tour code, commission, or endorsements/restrictions.Document override remarks are returned in the PNR retrieve only when the detailViewInd query parameter is set to true. Document override remarks can be added to an existing PNR but cannot be modified or deleted.
Document Overrides request payload.
Discriminator classes DocumentOverridesID or DocumentOverrides
A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).
Product Identifier class. In next leg search Value from CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef in the Search response for the product to select for the first leg of the itinerary. When sending a second Next Leg Search request in a multi-city search, this value should be the offer for the second leg of the itinerary, and so on for additional O&D pairs.
A monetary amount, up to 4 decimal places. Decimal place must be included.
Report an exchange with residual value transaction as an Even exchange in the MIR.
- https://api.pp.travelport.net/11https://api.pp.travelport.net/11/air/book/documentoverride/Reservation/{ReservationResource_Identifier}/documentoverrides
- https://api.travelport.net/11https://api.travelport.net/11/air/book/documentoverride/Reservation/{ReservationResource_Identifier}/documentoverrides
curl -i -X POST \
https://api.pp.travelport.net/11/air/book/documentoverride/Reservation/49f58f5f-c443-43b4-9f5d-be405fd00a01/documentoverrides \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'TVP-PCC-Core: DU7_1G' \
-H 'TraceId: TraceID_123456789' \
-H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
-H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
-d '{
"@type": "DocumentOverrides",
"id": "documentOverrides_1",
"DocumentOverridesRef": "documentOverrides_1",
"Commissions": [
{
"Commission": {
"@type": "CommissionAmount",
"Amount": {
"code": "USD",
"value": 123
}
}
}
],
"TourCodes": [
{
"TourCode": {
"tourCodeType": "Bulk Tour",
"value": "TCS"
}
}
],
"Restrictions": [
{
"Restriction": [
"NON Refundable"
]
}
],
"DestinationPurpose": [
{
"purpose": "Business",
"destination": "Europe"
}
]
}'{ "DocumentOverridesResponse": { "DocumentOverrides": null, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }